Subject: bug #7863: 24.0.50; [Gnus] random errors when moving 2+ emails from nnml to nnimap (was: bug#7863: 24.0.50; [Gnus] dsaf dsa f)

From: Luca Capello <[email-masked]>
Date: Tue, 18 Jan 2011 23:34:22 +0100

retitle 7863 24.0.50; [Gnus] random errors when moving 2+ emails from nnml to nnimap
thanks

Hi there!

Stupid me, sorry for the wrong title when submitting, fixed.

On Tue, 18 Jan 2011 23:17:07 +0100, Luca Capello wrote:
> All my emails are on a Dovecot IMAP server (Debian lenny), which does
> not seem to have any problem when I access it via Mutt.  With Gnus,
> however, when I move 2 (or more) sent emails from `nnml:mail.sent' to an
> `nnimap:' folder, sometime I get the following error:
> =====
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   gnus-add-to-range(((1 . 1196)) (nil))
>   gnus-summary-move-article(nil)
>   call-interactively(gnus-summary-move-article nil nil)
> =====
>
> What is strange, however, is that the emails are actually moved, as
> indicated in the `*Messages*' buffer:
> =====
> Moving to nnimap+Server:people.NameSurname: (12585 12584)...
> =====
>
> Another confirmation is given by the fact that if I exit the `*Summary
> nnml:mail.sent*' buffer, I call `gnus-group-get-new-news' in the
> `*Group*' buffer and then re-enter the `*Summary nnml:mail.sent*' buffer
> the email that has caused the debug error is no more there, but instead
> I can find it in the `nnimap:' folder I moved into.

I just discovered that there is an `*imap log*' buffer:
=====
23:02:56 16070 APPEND "people.NameSurname" {1922}
23:02:56 16071 EXAMINE "people.NameSurname"
23:02:56 16072 UID SEARCH HEADER Message-Id "<[email-masked]>"
23:02:56 16073 SELECT "people.NameSurname"
23:02:56 16074 UID STORE 1196 +FLAGS.SILENT (\Seen)
23:02:56 16075 EXAMINE DOES.NOT.EXIST
23:02:56 16076 APPEND "people.NameSurname" {1888}
23:02:57 16077 UID SEARCH HEADER Message-Id "<[email-masked]>"
=====

Thx, bye,
Gismo / Luca